using System;

namespace Stat.web
{
    /// <summary>
    /// 
    /// </summary>
    public partial class NoticeList : System.Web.UI.Page
    {

        Stat.Cache.INotify notify = Stat.Cache.CacheFatory.CreateNotify();
        Model.Notify notieModel = new Stat.Model.Notify();
        Model.PageInfo pageModel = new Stat.Model.PageInfo(15);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            pageModel.PageIndex = Plugin.Common.Rq_Int("page");
            pageModel.PageIndex = pageModel.PageIndex < 1 ? 1 : pageModel.PageIndex;
            pageModel.SortType = 1;

            GetList();
        }
        private void GetList()
        {

            this.ltrList.Text = Html.Notify.Get(notify.Get(notieModel, ref pageModel));
            this.ltrIndex.Text = JPageIndex.GetIndex.Get(pageModel.RecordCount, pageModel.PageIndex, pageModel.PageSize, "", 1, 0, 1, 7);
        }
    }
}
